# Load the normal support files.
require 'sketchup.rb'
require 'extensions.rb'
  
  
# Create the extension.
ext = SketchupExtension.new 'ProjectionBuilder',
    'ProjectionBuilder/ProjectionBuilder_Loader.rb'

# Attach some nice info.
ext.creator     = 'David Moore'
ext.version     = '1.0.0'
ext.copyright   = '2011 David Moore'
ext.description = 'Builds a top, front and side projection from a model and arranges them onto a single plane for easy dimensioning and printing'

# Register and load the extension on startup.
Sketchup.register_extension ext, true